petsc-3.4.2 2013-07-02

# SNESFASGetRestriction

Gets the matrix used to calculate the restriction from l to the l-1th level

### Synopsis

    #include "petscsnesfas.h"
    PetscErrorCode SNESFASGetRestriction(SNES snes, PetscInt level, Mat *mat)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest) to supply [do not supply 0]

### Output Parameters

mat -the interpolation operator

### Keywords

FAS, multigrid, get, restrict, level

### See Also

SNESFASSetRestriction(), SNESFASGetInjection(), SNESFASGetInterpolation(), SNESFASGetRScale()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages